<%@ Page Language="C#" AutoEventWireup="true" debug="true"  CodePage="65001" Inherits="WinLibClass.Form.Admin.Dialog.DlgUserOrderForm"  %>		
		
<script>

jQuery(document).ready(function(){FormSelectSubFill();});

function thisVal(name,value){
	if(value) jQuery("form[id='form_add'] input[id='"+ name +"']").val(value);
	else jQuery("form[id='form_add'] input[id='"+ name +"']").val(jQuery("#dlg_"+name).val());
}
function thisFillInput(name){jQuery("#dlg_"+name).val(jQuery("#Dlg_Div_form_").attr(name));}
function GetGameTypeName(id){
	var s =['','竞拍',"秒杀","彩票","投注"];
	var n=parseInt(id);
	if(isNaN(id)) id=0;
	if(id<0 || id>s.length)id=0;
	return s[id];
}


function FormSelectSubFill(){
/*
	var o = jQuery("#form_");
	
	jQuery("#dlg_OrderFormId").val(o.attr("OrderFormId"));
	jQuery("#dlg_VendueId").val(o.attr("VendueId"));
	jQuery("#dlg_GameType").val(o.attr("GameType"));
	jQuery("#dlg_ProductName").val(o.attr("ProductName"));
	jQuery("#dlg_ProductId").val(o.attr("ProductId"));
	jQuery("#dlg_MarketPrice").val(o.attr("MarketPrice"));
	jQuery("#dlg_RealPayPrice").val(o.attr("RealPayPrice"));
	jQuery("#dlg_idValue").val(o.attr("idValue"));
	jQuery("#dlg_UserId").val(o.attr("UserId"));
	jQuery("#dlg_UserNickName").val(o.attr("UserNickName"));
*/
	thisFillInput("OrderFormId");
	thisFillInput("VendueId");
	thisFillInput("GameType");
	thisFillInput("ProductName");
	thisFillInput("ProductId");
	thisFillInput("MarketPrice");
	thisFillInput("RealPrice");
	thisFillInput("UserId");
	thisFillInput("UserNickName");

	thisFillInput("idValue");
	
	
	
}

function FormSelectSub(){

	/*
	jQuery("#VendueId").val(jQuery("#dlg_VendueId").val());
	jQuery("#GameType").val(jQuery("#dlg_GameType").val());
	jQuery("#ProductName").val(jQuery("#dlg_ProductName").val());
	jQuery("#ProductId").val(jQuery("#dlg_ProductId").val());
	jQuery("#MarketPrice").val(jQuery("#dlg_MarketPrice").val());
	jQuery("#RealPrice").val(jQuery("#dlg_RealPayPrice").val());
	jQuery("#UserId").val(jQuery("#dlg_UserId").val());
	jQuery("#UserNickName").val(jQuery("#dlg_UserNickName").val());
	*/
	thisVal("VendueId");
	thisVal("GameType");
	thisVal("ProductName");
	thisVal("ProductId");
	thisVal("MarketPrice");
	thisVal("RealPrice");
	thisVal("UserId");
	thisVal("UserNickName");
	
	thisVal("GameTypeName",GetGameTypeName(jQuery("#dlg_GameType").val()));
	

	
}

</script>

<div style="margin-left:0px;width:400px;border:0px solid #97BDE8;height:auto;">
<input type="hidden" id="dlg_OrderFormId" value="" />
<input type="hidden" id="dlg_VendueId" value="" />
<input type="hidden" id="dlg_GameType" value="" />
<input type="hidden" id="dlg_ProductName" value="" />
<input type="hidden" id="dlg_ProductId" value="" />
<input type="hidden" id="dlg_MarketPrice" value="0" />
<input type="hidden" id="dlg_RealPayPrice" value="" />
<input type="hidden" id="dlg_idValue" value="" />
<input type="hidden" id="dlg_UserId" value="" />
<input type="hidden" id="dlg_UserNickName" value="" />
<div style="clear:both;"></div>


<asp:Repeater id="rpList" runat="server">
<ItemTemplate>

<div class="SelectDiv"  style="width:380px;background-color:<%#Eval("OrderFormId").Equals(sFormId)?"#dddddd":"#ffffff"%>;" 
	id="Dlg_Div_form_" 
	OrderFormId="<%#Eval("OrderFormId")%>" 
	UserId="<%#Eval("UserId")%>" 
	UserNickName="<%#Eval("UserNickName")%>" 

	VendueId="<%#Eval("VendueId")%>" 
	GameType="<%#Eval("GameType")%>" 

	ProductName="<%#Eval("ProductName")%>" 
	ProductId="<%#Eval("ProductId")%>" 
	MarketPrice="0"
	RealPayPrice="<%#Eval("RealPayPrice")%>"
	idValue="<%#Eval("id")%>"	>
	
	<li class="dlgLine" style="text-align:left;">类型 : <%#WinLibClass.Form.FormCommon.Utils.GameString(DV.EvalToInt(Eval("GameType")))[0]  %></li>
	<li class="dlgLine" style="text-align:left;">编号 : <%#Eval("VendueId")%></li>
	<li class="dlgLine" style="text-align:left;">订单 : <%#Eval("OrderFormId")%></li>
	<li class="dlgLine" style="text-align:left;">产品 : <%#Eval("ProductName")%></li>
	<li class="dlgLine" style="text-align:left;">用户 : <%#Eval("UserNickName")%></li>
	

</div>
</ItemTemplate>
</asp:Repeater>


</div>


<div class="page" style="margin-left:-13px"><%=strPageInfo%></div>